using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadRibbonBarTest
{
    public partial class Form1 : ShapedForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ShapedForm mdiChildForm = new ShapedForm();
            mdiChildForm.MdiParent = this;
            mdiChildForm.Resize += new EventHandler(form_Resize);
            
            RadTitleBar titleBar = new RadTitleBar();
            titleBar.ThemeName = "ControlDefault";
            titleBar.EndInit();
            titleBar.Dock = DockStyle.Top;

            mdiChildForm.Controls.Add(titleBar);
            mdiChildForm.Show();
        }

        private void form_Resize(object sender, EventArgs e)
        {
            ShapedForm senderForm = sender as ShapedForm;
            if (senderForm.WindowState == FormWindowState.Maximized)
            {
                foreach (Control childControl in senderForm.Controls)
                {
                    if (childControl is RadTitleBar)
                    {
                        childControl.Visible = false;
                    }
                }
            }

            if (senderForm.WindowState == FormWindowState.Normal)
            {
                foreach (Control childControl in senderForm.Controls)
                {
                    if (childControl is RadTitleBar)
                    {
                        childControl.Visible = true;
                    }
                }
            }

            if (senderForm.WindowState == FormWindowState.Minimized)
            {
                foreach (Control childControl in senderForm.Controls)
                {
                    if (childControl is RadTitleBar)
                    {
                        childControl.Visible = true;
                    }
                }
            }
        }
    }
}